/* DIALOG 13.02.2026
Developer: t.me/moretheme
Screen resolution: 460, 860, 1440, 1920 */
.dialog {
    position: relative;
    background: #fff;
    color: #000;
    border-radius: 20px;
    height: 700px;
    overflow: hidden;
}

.dialog-left {
    position: absolute;
    background: #fff;
    top: 0;
    left: 0;
    width: 0;
    visibility: hidden;
    opacity: 0;
    height: inherit;
    border-right: 1px solid #efeaf4;
    transition: 0.3s opacity, width;
    z-index: 2;
    overflow: hidden;
}

.dialog-left.active {
    width: 300px;
    visibility: visible;
    opacity: 1;
}

@media (max-width: 860px) {
    .dialog-left, .dialog-left.active {
        width: 100%;
    }
}

.dialog-left.active + .dialog-center {
    margin-left: 300px;
}

.dialog-users_title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 30px;
    grid-gap: 20px;
    font-size: 18px;
    font-weight: bold;
}

.dialog-users_title > b {
    margin-right: auto;
}

.dialog-users_title #menu {
    display: none;
}

@media (max-width: 860px) {
    .dialog-users_title #menu {
        display: block;
    }
}

.dialog-search {
    display: flex;
    align-items: center;
    background: #f5f5f5;
    color: #69666c;
    border-radius: 15px;
    margin: 0 30px 15px;
}

.dialog-search input {
    flex: 1 1 0;
    background: transparent;
    border: 0;
    border-radius: 0;
    padding: 0;
    width: 100%;
}

.dialog-search > i {
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
}

.dialog-users {
    position: relative;
    display: flex;
    flex-direction: column;
    grid-gap: 10px;
    padding: 0 20px 30px;
    height: 570px;
    overflow: hidden;
    overflow-y: auto;
}

.dialog-users::-webkit-scrollbar, .dialog-pm_items::-webkit-scrollbar {
    position: relative;
    width: 2px;
    border-radius: 10px;
}

.dialog-users::-webkit-scrollbar-thumb, .dialog-pm_items::-webkit-scrollbar-thumb {
    background: #bab8b8;
}

.dialog-users li {
    position: relative;
    min-height: 95px;
    display: flex;
    grid-gap: 15px;
    padding: 10px;
    border-radius: 15px;
}

.dialog-users li.active {
    background: #f5f5f5;
}

.dialog-users li.new {
    background: #fff6f6;
}

.dialog-users li.new:before {
    content: "";
    position: absolute;
    top: 5px;
    right: -2px;
    height: 8px;
    width: 8px;
    margin-left: 15px;
    border-radius: 50%;
    background-color: #f03c3c;
    border: 2px solid #fff;
    animation: pulse 1.25s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(240,60,60,0.6)
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 6px rgba(240,60,60,0)
    }

    100% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(240,60,60,0)
    }
}

.dialog-users_av {
    position: relative;
}

.dialog-users_av img {
    width: 50px;
    height: 50px;
    border-radius: 15px;
    object-fit: cover;
    overflow: hidden;
}

.dialog-users_av:before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    background: #d0cfd1;
    border: 2px solid #fff;
    border-radius: 50px;
    height: 8px;
    width: 8px;
}

.dialog-users_av.online:before {
    background: #0a0;
}

.dialog-users_date {
    position: absolute;
    top: 11px;
    right: 10px;
    color: #c8c5cb;
    font-size: 10px;
}

.dialog-users li > div > a {
    display: block;
    font-weight: bold;
}

.dialog-users li > div > a + span {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    overflow: hidden;
    color: #69666c;
    font-size: 12px;
    margin: 5px 0;
}

.dialog-users_type {
    display: inline-block;
    background: #fdebc8;
    color: #e28f4f;
    padding: 3px 10px;
    border-radius: 20px;
    font-size: 10px;
    font-weight: bold;
}

.dialog-center {
    position: relative;
    margin-left: 0;
    display: flex;
    flex-direction: column;
    background: #f1f1f3;
    height: inherit;
    overflow: hidden;
}

.dialog-center #chat-loading-bar {
    position: absolute;
    top: 0;
    left: 0;
    height: 4px;
    width: 0;
    background: #d4e9bb;
    z-index: 9999;
}

.dialog-center_hello {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    grid-gap: 30px;
    height: 100%;
}

.dialog-center_hello > img {
    width: 300px;
}

@media (max-width: 860px) {
    .dialog-center_hello > img {
        width: 300px;
    }
}

.dialog-center_hello > a, .dialog-center_hello #sendNewPM {
    display: inline-block;
    background: #000;
    color: #ffff;
    padding: 20px 60px;
    font-weight: bold;
    border-radius: 50px;
}

.dialog-newpm {
    padding: 15px 30px;
}

.dialog-newpm_items {
    display: flex;
    grid-gap: 30px;
    align-items: center;
    margin-bottom: 20px;
}

@media (max-width: 860px) {
    .dialog-newpm_items {
        grid-gap: 10px;
    }
}

.dialog-newpm_items label {
    position: relative;
    font-weight: 500;
    cursor: pointer;
    overflow: hidden;
}

.dialog-newpm_items label input {
    position: absolute;
    display: none;
}

.dialog-newpm_items label input + div {
    background: #fff;
    padding: 15px 30px;
    border-radius: 15px;
}

@media (max-width: 860px) {
    .dialog-newpm_items label input + div {
        padding: 15px 20px;
    }
}

.dialog-newpm_items label input + div span {
    display: block;
    opacity: 0.6;
    font-size: 12px;
    font-weight: 400;
    margin-top: 10px;
}

@media (max-width: 860px) {
    .dialog-newpm_items label input + div span {
        display: none;
    }
}

.dialog-newpm_items label input:checked + div {
    background: #2196F3;
    color: #fff;
}

.dialog-newpm_input {
    max-width: 600px;
    margin: 20px 0;
}

.dialog-newpm_input label, .dialog-newpm > span {
    display: block;
    color: #69666c;
    font-size: 14px;
    margin-bottom: 20px;
}

.dialog-newpm_input input {
    background: #fff;
    border-radius: 20px;
}

.dialog-newpm .dlepm-editor {
    max-width: 600px;
    margin-bottom: 20px;
    border: 1px solid #efeaf4;
}

.dialog-newpm .tox-tinymce {
    border: none;
    height: 150px !important;
}

.dialog-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 15px;
    background: #fff;
    box-shadow: 0px -10px 20px 0 #c8c1cf;
    border-bottom: 1px solid #efeaf4;
    padding: 10px 30px;
}

.dialog-head #menu, .dialog-head > a {
    display: inline-block;
    background: #f0f0f2;
    border-radius: 50%;
    min-width: 40px;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    transition: 0.3s;
}

.dialog-head #menu.active {
    transform: scaleX(-1);
}

.dialog-head_title {
    display: inline-block;
    font-size: 16px;
    font-weight: bold;
    margin-right: auto;
}

.dialog-head_user {
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: 12px;
}

.dialog-head_user .dialog-users_av img {
    width: 40px;
    height: 40px;
}

.dialog-head_user > div a {
    display: block;
    font-size: 16px;
    font-weight: bold;
}

.dialog-head_user > div a + span {
    display: block;
    color: #949097;
    font-size: 10px;
    margin-top: 2px;
}

.dialog-head .dialog-users_type {
    margin-left: 0;
    margin-right: auto;
}

@media (max-width: 860px) {
    .dialog-head .dialog-users_type {
        display: none;
    }
}

.dialog-head_menu {
    position: relative;
    margin-left: auto;
}

.dialog-head_menu > i {
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
}

.dialog-head_menu > div {
    position: absolute;
    width: 170px;
    top: 100%;
    right: -18px;
    background: #fff;
    color: #000;
    padding: 3px;
    box-shadow: 0 0 20px 0 rgb(0 0 0 / 10%);
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    visibility: hidden;
    opacity: 0;
    z-index: 5;
    transition: 0.3s;
}

.dialog-head_menu > div:before {
    content: "";
    position: absolute;
    top: -5px;
    right: 15px;
    width: 10px;
    height: 10px;
    background: #fff;
    transform: rotate(45deg);
}

.dialog-head_menu.active > div {
    visibility: visible;
    opacity: 1;
    transform: translateY(10px);
}

.dialog-head_menu > div > a {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    background: #fff;
    border-radius: 15px;
    padding: 8px 15px;
    font-size: 12px;
    z-index: 2;
}

.dialog-head_menu > div > a:hover {
    background: #f1f1f3;
}

.dialog-pm_items {
    padding: 0 30px 20px;
    height: 100%;
    overflow: hidden;
    overflow-y: auto;
}

.dialog-pm_items li {
    display: flex;
    grid-gap: 15px;
    justify-content: flex-start;
    margin-top: 20px;
}

.dialog-pm_items li.active {
    justify-content: flex-end;
}

.dialog-pm_items li > img {
    display: inline-block;
    width: 40px;
    height: 40px;
    border-radius: 12px;
}

.dialog-pm_items li > div > b {
    font-size: 14px;
    font-weight: bold;
}

.dialog-pm_items li > div > b span {
    display: block;
    font-size: 10px;
    font-weight: 400;
    color: #949097;
    margin: 1px 0 10px;
}

.dialog-pm_item {
    position: relative;
    max-width: 350px;
    min-width: 150px;
    background: #e9d8d6;
    padding: 10px 30px 30px 20px;
    border-radius: 0 15px 15px;
    font-size: 14px;
}

.dialog-pm_items li.active .dialog-pm_item {
    background: #d4e9bb;
}

.dialog-pm_item .dialog-pm_text a {
    color: #2196F3;
}

.dialog-pm_item p {
    font-size: inherit;
    line-height: inherit;
}

.dialog-pm_time, .dialog-pm_item > svg {
    position: absolute;
    right: 15px;
    bottom: 8px;
}

.dialog-pm_time {
    color: #69666c;
    font-size: 12px;
    right: 35px;
}

.dialog-pm_read {
    position: absolute;
    right: 15px;
    bottom: 4px;
}

.dialog-pm_items li.read .dialog-pm_read:before, .dialog-pm_items li:not(.read) .dialog-pm_read:before {
    content: "";
    display: inline-block;
    width: 15px;
    height: 15px;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAyNCIgd2lkdGg9IjE1IiBoZWlnaHQ9IjE1Ij48cGF0aCBmaWxsPSIjNTNiZGViIiBkPSJNMTEuNjAyIDEzLjc2bDEuNDEyIDEuNDEyIDguNDY2LTguNDY2IDEuNDE0IDEuNDE0LTkuODggOS44OC02LjM2NC02LjM2NCAxLjQxNC0xLjQxNCAyLjEyNSAyLjEyNSAxLjQxMyAxLjQxMnpNMSAxMS42MzZsMS40MTQtMS40MTQgNC45NTEgNC45NTFMMTAuMDEgMTggMSAxMS42MzZ6Ij48L3BhdGg+PC9zdmc+");
    background-size: contain;
    background-repeat: no-repeat;
}

.dialog-pm_items li:not(.read) .dialog-pm_read:before {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAyNCIgd2lkdGg9IjE1IiBoZWlnaHQ9IjE1Ij48cGF0aCBmaWxsPSIjMDAwIiBkPSJNMTAgMTUuMTcyaDJsOS4xOTItOS4xOTMgMS40MTUgMS40MTRMMTAgMThsLTYuMzY0LTYuMzY0IDEuNDE0LTEuNDE0eiI+PC9wYXRoPjwvc3ZnPg==");
}

.dialog-pm_item .dialog-head_menu {
    position: absolute;
    top: 3px;
    right: 5px;
    font-size: 11px;
}

.dialog-pm_form {
    background: #fff;
    border-bottom: 1px solid #efeaf4;
    padding: 10px 30px;
    margin-top: auto;
}

.dialog-pm_form .dlepm-editor {
    max-width: 600px;
    margin-bottom: 10px;
    border: 1px solid #efeaf4;
}

.dialog-pm_form .tox-tinymce {
    border: none;
    height: 170px !important;
}
